<?php
/**
 * @package DS_WooStatistics
 */
/*
Plugin Name: Woo Statistics by Digital Setups
Plugin URI: https://akismet.com/
Description: Simple and Powerful Statistics Extension for Woocommerce by Digital Setups.
Version: 1.0.0
Author: Digital Setups
Author URI: https://digitalsetups.com
License: Premium
Text Domain: ds_woostatistics
*/

/*
Copyright 2021-3021 Digital Setups (SMC-Private) Limited.
*/

// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

define( 'DS_WOOSTATISTICS_VERSION', '1.0.0' );
define( 'DS_WOOSTATISTICS__MINIMUM_WP_VERSION', '5.0' );
define( 'DS_WOOSTATISTICS__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

require_once( DS_WOOSTATISTICS__PLUGIN_DIR . 'class.ds_woostatistics.php' );

register_activation_hook( __FILE__, array( 'DS_WooStatistics', 'plugin_activation' ) );
register_deactivation_hook( __FILE__, array( 'DS_WooStatistics', 'plugin_deactivation' ) );

add_action( 'init', array( 'DS_WooStatistics', 'init' ) );


